<v-app id="main">
    <v-content>
        <!--
        <v-container class="fill-height" fluid>
            <v-row justify="center" align="center">
                <v-col class="text-center">
                    A
                </v-col>
                <v-col class="text-center">
                    B
                </v-col>
            </v-row>
            <v-row justify="center" align="center">
                <v-col class="text-center">
                    C
                </v-col>
            </v-row>
        </v-container>
        -->
        <div class="x-flex-container">
            <div style="flex-shrink: 1" class="x-flex-item">AAAAAAAAAAAAAAAAAAAAAAAAAAAAAA</div>
            <div style="align-self: flex-start" class="x-flex-item">BBBBBBBBBB</div>
            <div class="x-flex-item">CCCCCCCCCC</div>
            <div style="flex-grow: 1" class="x-flex-container">
                <div style="flex-grow: 1" class="x-flex-item">
                    X<br/>
                    X<br/>
                    X<br/>
                </div>
                <div class="x-flex-item">Y</div>
                <div class="x-flex-item">Z</div>
            </div>
        </div>
        <div class="x-flex-container">
            <div style="order: 0 ; flex-basis: 0 ; flex-grow: 2" class="x-flex-item">X</div>
            <div style="order: 1 ; flex-basis: 0 ; flex-grow: 0.3333" class="x-flex-item">Y</div>
            <div class="x-flex-item">Z</div>
        </div>
        <div class="x-flex-container">
            <div class="x-flex-item">X</div>
            <div style="margin-left: auto" class="x-flex-item">Y</div>
            <div class="x-flex-item">Z</div>
        </div>
    </v-content>
</v-app>
